<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<Resource xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<ID/>
	<Type>Service</Type>
	<Profile>
		<Description>Full Text Management Service</Description>
		<Class>Index</Class>
		<Name>FullTextIndexManagement</Name>
		<Version>1.0.0</Version>
		<Packages>
			<Main>
				<Description>Full-Text Management Service</Description>
				<Name>FullTextIndexManagementMain</Name>
                <Version>2.1.1</Version>
                <MavenCoordinates>
                    <groupId>org.gcube.index</groupId>
                    <artifactId>fulltextindexmanagementmain</artifactId>
                    <version>2.1.1</version>
                </MavenCoordinates>
                <Mandatory level="VO"/>
                <Shareable level="VO"/>
                <GHNRequirements>
                       <Requirement category="OperatingSystem" operator="eq" requirement="Name" value="Linux"/>
                </GHNRequirements>
				
				<GARArchive>org.gcube.indexmanagement.fulltextindexmanagement.gar</GARArchive>
				<PortType>
					<Name>gcube/indexmanagement/fulltextindexmanagement/FullTextIndexManagement</Name>
					
				</PortType>
				<PortType>
					<Name>gcube/indexmanagement/fulltextindexmanagement/FullTextIndexManagementFactory</Name>
					
				</PortType>
			</Main>
			<Software deployable="true">
				<Description>Full-Text Index Management Stub</Description>
				<Name>FullTextIndexManagementStubs</Name>
                <Version>2.1.0</Version>
                <MavenCoordinates>
                    <groupId>org.gcube.index</groupId>
                    <artifactId>fulltextindexmanagementstubs</artifactId>
                    <version>2.1.0</version>
                </MavenCoordinates>
                <MultiVersion value="true"/>
                <Mandatory level="VO"/>
                <Shareable level="VO"/>
                <Type>library</Type>
				<Files>
                    <File>org.gcube.indexmanagement.fulltextindexmanagement.stubs.jar</File>
                </Files>
			</Software>
			<Software deployable="true">
				<Description>FullText Index Test Suite</Description>
				<Name>FullTextIndexManagement-test-suite</Name>
				<Version>1.1.0</Version>
                <MavenCoordinates>
                    <groupId>org.gcube.index</groupId>
                    <artifactId>fulltextindexmanagement-test-suite</artifactId>
                    <version>1.1.0</version>
                </MavenCoordinates>
				<Files>
					<File>readme.txt</File>
					<File>_gcube_devsec.properties</File>
					<File>IndexManagement/FullTextIndexClient.java</File>
					<File>IndexManagement/VOInfoManager.java</File>
					<File>IndexManagement/Col_2_ftRowsetRS.java</File>
				</Files>
			</Software>
		</Packages>
	</Profile>
</Resource>
